pututmpid(8)

NAME
pututmpid - write utmp/wtmp records and exec command

SYNOPSIS
putupmpid [-w] ut_id command [parameters]
pututmpid reboot
pututmpid halt

DESCRIPTION
pututmpid is used to write records in utmp/wtmp files for running getty/agetty/fgetty. pututmpid writes the record and then execve()s a command. The commands login and getty use the records written from pututmpid. After reboot it is possible to set pututmpid reboot in init scripts. This will update /var/run/utmp with BOOT_TIME record. This must be done after /var/run/utmp is writable. The usage of pututmpid halt is similar. It sets wtmp record (in /var/log/wtmp file).

OPTIONS
usually pututmpid is symlinked as run command of a service.

-w  debug mode -- write more info in /var/log/wtmp

ut_id
    string at most 4 bytes long. examples: tty1,tty2, vc1,vc2,vc3... Use different names for each virtual console!

command
    the real command to start

parameters
    additional parameters for the command

EXAMPLE
A typical use of this command will look like this:

/etc/ninit/getty/2

/etc/ninit/getty/2/params
    tty2
    /sbin/fgetty
    tty2

/etc/ninit/getty/2/run
    -> /sbin/pututmpid

SEE ALSO
ninit(8), ninit-runlevel(8)
getty(8), {n|f|a|min}getty(8),
login(1), utmp(5), runlevel(8)